# overture-song
Song API reference for developers. SONG is an open source system for validating and tracking metadata about raw data submissions, assigning identifiers to entities of interest, and managing the state of the raw data with regards to publication and access

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 0.0.4
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import overture_song 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import overture_song
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import overture_song
from overture_song.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = overture_song.AnalysisApi(overture_song.ApiClient(configuration))
id = 'id_example' # str | id
study_id = 'study_id_example' # str | studyId

try:
    # GetAnalysis
    api_response = api_instance.get_analysis(id, study_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AnalysisApi->get_analysis: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AnalysisApi* | [**get_analysis**](docs/AnalysisApi.md#get_analysis) | **GET** /studies/{studyId}/analysis/{id} | GetAnalysis
*AnalysisApi* | [**get_analysis_files**](docs/AnalysisApi.md#get_analysis_files) | **GET** /studies/{studyId}/analysis/{id}/files | GetAnalysisFiles
*AnalysisApi* | [**get_analysis_for_study**](docs/AnalysisApi.md#get_analysis_for_study) | **GET** /studies/{studyId}/analysis | GetAnalysesForStudy
*AnalysisApi* | [**id_search**](docs/AnalysisApi.md#id_search) | **GET** /studies/{studyId}/analysis/search/id | IdSearch
*AnalysisApi* | [**id_search_with_body**](docs/AnalysisApi.md#id_search_with_body) | **POST** /studies/{studyId}/analysis/search/id | IdSearchWithBody
*AnalysisApi* | [**publish_analysis**](docs/AnalysisApi.md#publish_analysis) | **PUT** /studies/{studyId}/analysis/publish/{id} | PublishAnalysis
*AnalysisApi* | [**suppress_analysis**](docs/AnalysisApi.md#suppress_analysis) | **PUT** /studies/{studyId}/analysis/suppress/{id} | SuppressAnalysis
*AnalysisApi* | [**unpublish_analysis**](docs/AnalysisApi.md#unpublish_analysis) | **PUT** /studies/{studyId}/analysis/unpublish/{id} | UnpublishAnalysis
*AnalysisApi* | [**update_analysis**](docs/AnalysisApi.md#update_analysis) | **PUT** /studies/{studyId}/analysis/{analysisId} | UpdateAnalysis
*DonorApi* | [**delete_donors**](docs/DonorApi.md#delete_donors) | **DELETE** /studies/{studyId}/donors/{ids} | DeleteDonors
*DonorApi* | [**get_donor**](docs/DonorApi.md#get_donor) | **GET** /studies/{studyId}/donors/{id} | GetDonor
*ExportApi* | [**export_analyses**](docs/ExportApi.md#export_analyses) | **GET** /export/analysis/{analysisIds} | ExportAnalyses
*ExportApi* | [**export_study**](docs/ExportApi.md#export_study) | **GET** /export/studies/{studyId} | ExportStudy
*FileApi* | [**delete_files**](docs/FileApi.md#delete_files) | **DELETE** /studies/{studyId}/files/{ids} | DeleteFiles
*FileApi* | [**get_file**](docs/FileApi.md#get_file) | **GET** /studies/{studyId}/files/{id} | GetFile
*FileApi* | [**update_file**](docs/FileApi.md#update_file) | **PUT** /studies/{studyId}/files/{id} | UpdateFile
*HealthApi* | [**is_alive**](docs/HealthApi.md#is_alive) | **GET** /isAlive | IsAlive
*LegacyEntityApi* | [**find_legacy_entities**](docs/LegacyEntityApi.md#find_legacy_entities) | **GET** /entities | FindLegacyEntities
*LegacyEntityApi* | [**get_legacy_entity**](docs/LegacyEntityApi.md#get_legacy_entity) | **GET** /entities/{id} | GetLegacyEntity
*SampleApi* | [**delete_samples**](docs/SampleApi.md#delete_samples) | **DELETE** /studies/{studyId}/samples/{ids} | DeleteSamples
*SampleApi* | [**get_sample**](docs/SampleApi.md#get_sample) | **GET** /studies/{studyId}/samples/{id} | GetSample
*SchemaApi* | [**get_analysis_type_version**](docs/SchemaApi.md#get_analysis_type_version) | **GET** /schemas/{name} | GetAnalysisTypeVersion
*SchemaApi* | [**get_registration_schema**](docs/SchemaApi.md#get_registration_schema) | **GET** /schemas/registration | GetRegistrationSchema
*SchemaApi* | [**list_analysis_types**](docs/SchemaApi.md#list_analysis_types) | **GET** /schemas | ListAnalysisTypes
*SchemaApi* | [**register_analysis_type**](docs/SchemaApi.md#register_analysis_type) | **POST** /schemas | RegisterAnalysisType
*SpecimenApi* | [**delete_specimens**](docs/SpecimenApi.md#delete_specimens) | **DELETE** /studies/{studyId}/specimens/{ids} | DeleteSpecimens
*SpecimenApi* | [**get_specimen**](docs/SpecimenApi.md#get_specimen) | **GET** /studies/{studyId}/specimens/{id} | GetSpecimen
*StudyApi* | [**create_study**](docs/StudyApi.md#create_study) | **POST** /studies/{studyId}/ | CreateStudy
*StudyApi* | [**get_study**](docs/StudyApi.md#get_study) | **GET** /studies/{studyId} | GetStudy
*StudyApi* | [**get_study_tree**](docs/StudyApi.md#get_study_tree) | **GET** /studies/{studyId}/all | GetStudyTree
*StudyApi* | [**list_all_study_ids**](docs/StudyApi.md#list_all_study_ids) | **GET** /studies/all | ListAllStudyIds
*SubmitApi* | [**submit**](docs/SubmitApi.md#submit) | **POST** /submit/{studyId} | Submit


## Documentation For Models

 - [Analysis](docs/Analysis.md)
 - [AnalysisType](docs/AnalysisType.md)
 - [AnalysisTypeId](docs/AnalysisTypeId.md)
 - [CompositeEntity](docs/CompositeEntity.md)
 - [Donor](docs/Donor.md)
 - [DonorWithSpecimens](docs/DonorWithSpecimens.md)
 - [ExportedPayload](docs/ExportedPayload.md)
 - [FileDTO](docs/FileDTO.md)
 - [FileEntity](docs/FileEntity.md)
 - [FileUpdateRequest](docs/FileUpdateRequest.md)
 - [FileUpdateResponse](docs/FileUpdateResponse.md)
 - [GenericMessage](docs/GenericMessage.md)
 - [IdSearchRequest](docs/IdSearchRequest.md)
 - [JsonNode](docs/JsonNode.md)
 - [Legacy](docs/Legacy.md)
 - [PageDTOAnalysisType](docs/PageDTOAnalysisType.md)
 - [RegisterAnalysisTypeRequest](docs/RegisterAnalysisTypeRequest.md)
 - [Sample](docs/Sample.md)
 - [Specimen](docs/Specimen.md)
 - [SpecimenWithSamples](docs/SpecimenWithSamples.md)
 - [Study](docs/Study.md)
 - [StudyWithDonors](docs/StudyWithDonors.md)
 - [SubmitResponse](docs/SubmitResponse.md)


## Documentation For Authorization


## apiKey

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author



